Skip to main content
PUT
/
applications
/
{application_id}
Update application
curl --request PUT \
  --url https://api.trymaitai.ai/api/v1/applications/{application_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Maitai-Api-Key: <api-key>' \
  --data '
{
  "application_name": "Customer Support v2"
}
'
{
  "data": {
    "id": 42,
    "application_name": "Customer Support v2",
    "application_ref_name": "customer-support",
    "state": "ENABLED"
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

application_id
integer
required

Body

application/json
application_name
string
application_ref_name
string

Response

200 - application/json

Update application.

data
object

A top-level project that groups intents, sessions, and models.